List received faxes
curl --request POST \
--url https://api.amplify.xyz/v1/faxes/received \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"number_id": "701",
"order_id": "2900178196915815935",
"marked_as": "+14084132233"
}
'import requests
url = "https://api.amplify.xyz/v1/faxes/received"
payload = {
"number_id": "701",
"order_id": "2900178196915815935",
"marked_as": "+14084132233"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({number_id: '701', order_id: '2900178196915815935', marked_as: '+14084132233'})
};
fetch('https://api.amplify.xyz/v1/faxes/received', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 1,
"message": "Faxes list retrieved successfully",
"data": [
{
"job_id": "01KJFER7F1Z1RF632PC8P3X7FD",
"receiver": "14084132233",
"duration": "21",
"pages": "1",
"received_time": 1772192800,
"sender": "12053259046"
},
{
"job_id": "01KJZTYNY2ZGPGD6HCP0506MMC",
"receiver": "14084132233",
"duration": "236",
"pages": "10",
"received_time": 1772742465,
"sender": "15034367160"
},
{
"job_id": "01KQXB4BE7D6GT423MEEDZAVP8",
"receiver": "14084132233",
"duration": "277",
"pages": "5",
"received_time": 1778027474,
"sender": "19512701100"
},
{
"job_id": "01KVZAPSHQ8KMVKNYB5PAZPMN4",
"receiver": "14084132233",
"duration": "59",
"pages": "7",
"received_time": 1782389106,
"sender": "14084132233"
},
{
"job_id": "01KW9Z8E6NQN8FBMK2MT6FWDS6",
"receiver": "14084132233",
"duration": "35",
"pages": "3",
"received_time": 1782746200,
"sender": "14084132233"
},
{
"job_id": "01KWA5N448GK76HC4Y3AZJ5B1R",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1782752907,
"sender": "14084132233"
},
{
"job_id": "01KWA6AD64PY438VDPPA1976A3",
"receiver": "14084132233",
"duration": "114",
"pages": "6",
"received_time": 1782753605,
"sender": "14084132233"
},
{
"job_id": "01KWYP2R6TVKTAXTKGYKH9E5CB",
"receiver": "14084132233",
"duration": "45",
"pages": "1",
"received_time": 1783441219,
"sender": "19512701100"
},
{
"job_id": "01KYNECAV17XCA24PY5PMNHZA2",
"receiver": "14084132233",
"duration": "50",
"pages": "2",
"received_time": 1785278639,
"sender": "12136034292"
},
{
"job_id": "01KYWGEKYAMRH137J5AHQ75H61",
"receiver": "14084132233",
"duration": "52",
"pages": "1",
"received_time": 1785515692,
"sender": "19512701100"
},
{
"job_id": "01KZASR2A5HBNG773V5XX1F5CS",
"receiver": "14084132233",
"duration": "36",
"pages": "3",
"received_time": 1785995200,
"sender": "14084132233"
},
{
"job_id": "01M0ZDQFA35C8XCYJ1ZKFFHQXW",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1787760983,
"sender": "14084132233"
},
{
"job_id": "01M0ZEMS8X1YD1ZA86PYKFYNX6",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1787761944,
"sender": "14084132233"
},
{
"job_id": "01M1H28MTRX0BDDPA4VN86J885",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1788352943,
"sender": "19073131400"
},
{
"job_id": "01M1J2JFVD9WPTB7HTV96X6C58",
"receiver": "14084132233",
"duration": "57",
"pages": "2",
"received_time": 1788386820,
"sender": "15034367151"
},
{
"job_id": "01M1J46MPQZ7RRGT9Z6QJKV1NH",
"receiver": "14084132233",
"duration": "265",
"pages": "14",
"received_time": 1788388529,
"sender": "13055038892"
},
{
"job_id": "01M1NM5VNHBDES8WB05WY7EMZN",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1788505943,
"sender": "19073131400"
},
{
"job_id": "01M1NMH5CSQ1Y8VGX9P97SN3VP",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1788506314,
"sender": "19073131400"
},
{
"job_id": "01M1NMZFPG2CQ8K0E6F12A91Q0",
"receiver": "14084132233",
"duration": "20",
"pages": "1",
"received_time": 1788506783,
"sender": "19073131400"
},
{
"job_id": "01M1NQ8THA0QA42W6TS4Q7SY6D",
"receiver": "14084132233",
"duration": "23",
"pages": "2",
"received_time": 1788509186,
"sender": "19073131400"
},
{
"job_id": "01M1NSBBDF17FJZX9VRPPF635K",
"receiver": "14084132233",
"duration": "19",
"pages": "1",
"received_time": 1788511366,
"sender": "19073131400"
}
]
}{
"status": 0,
"message": "The number id field is required."
}Receive faxes
List received faxes
Retrieve received faxes for a specified account number and order.
POST
/
v1
/
faxes
/
received
List received faxes
Provide all three required fields:
number_id, order_id, and marked_as.
The response contains the matching received faxes. The current API returns duration and pages as strings, received_time as a Unix timestamp, and sender and receiver as phone-number strings without the leading +.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
